# ***  Add the SharePoint Snapin  ***
Add-PSSnapin Microsoft.Sharepoint.Powershell -EA 0

# ***  Set Input Parameters before execute  ***
$sourceWeb = Get-SPWeb http://vwss4
$xmlFilePath = ".\ExportSiteColumns.xml"
$ColumnGroup = "_PruebasGuille"


# ***  Generate XML file with Site Columns in the Column Group specified  ***
#Create Export Files
New-Item $xmlFilePath -type file -force

#Export Site Columns to XML file
Add-Content $xmlFilePath "<?xml version=`"1.0`" encoding=`"utf-8`"?>"
Add-Content $xmlFilePath "`n<Fields>"
$sourceWeb.Fields | ForEach-Object {
    if ($_.Group -eq $ColumnGroup) {
        Add-Content $xmlFilePath $_.SchemaXml
    }
}
Add-Content $xmlFilePath "</Fields>"

$sourceWeb.Dispose()
